%define anolis_release 1

Name:           libtpms
Version:        0.10.0
Release:        %{anolis_release}%{?dist}
Summary:        Library providing Trusted Platform Module (TPM) functionality
License:        BSD-3-Clause AND LicenseRef-TCGL

URL:            https://github.com/stefanberger/libtpms
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{url}/releases/download/v%{version}/v%{version}.tar.gz.asc#/%{name}-%{version}.tar.gz.asc
# https://github.com/stefanberger.gpg
Source2:        gpgkey-B818B9CADF9089C2D5CEC66B75AD65802A0B4211.asc

Patch0001:      0001-tpm2-Add-padding-to-OBJECT-for-32bit-targets.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  coreutils
BuildRequires:  gawk
BuildRequires:  gcc-c++
BuildRequires:  gnupg2
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
BuildRequires:  sed

%description
A library providing TPM functionality for VMs. Targeted for integration
into Qemu.

%package        devel
Summary:        Include files for libtpms
Requires:       %{name} = %{version}-%{release}

%description   devel
Libtpms header files and documentation.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static --with-tpm2 --with-openssl
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.la' -print -delete

%generate_compatibility_deps

%check
make check

%ldconfig_scriptlets

%files
%license LICENSE
%doc README CHANGES
%{_libdir}/%{name}.so.0{,.*}
%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/TPM*

%files doc
%doc README CHANGES

%changelog
* Wed Jan 08 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.10.0-1
- to #IBGGWG
- update version to 0.10.0 for CVE-2023-1017
- Project: TC2024080204
- Signed-off-by: mgb01105731 mgb01105731@alibaba-inc.com

* Sat Mar 18 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.9.6-1
- init from upstream
